Skip to main content
GET
/
public
/
workspace
/
{workspaceId}
/
links
/
{linkId}
Get recording link
curl --request GET \
  --url https://api.userplane.io/api/v1/public/workspace/{workspaceId}/links/{linkId} \
  --header 'Authorization: Bearer <token>'
{
  "message": "<string>",
  "data": {
    "workspaceId": "<string>",
    "link": {
      "linkId": "<string>",
      "linkTitle": "<string>",
      "linkReusable": true,
      "linkProviderId": "<string>",
      "linkProviderReference": "<string>",
      "linkURL": "<string>",
      "linkMeta": {},
      "createdAt": "<unknown>",
      "project": {
        "projectId": "<string>",
        "title": "<string>"
      },
      "creator": {
        "workspaceMemberId": "<string>",
        "name": "<string>"
      },
      "domain": {
        "domainId": "<string>",
        "url": "<string>"
      }
    }
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.userplane.io/llms.txt

Use this file to discover all available pages before exploring further.

Returns details for a specific recording link.

Errors

Error codeStatusDescription
LINK_NOT_FOUND404Link does not exist
LINK_GONE410Link has been deleted
Also returns common authentication errors.

Update Link

Update this link’s settings

Delete Link

Soft-delete this link

List Links

View all links in the workspace

List Recordings

Recordings captured from this link

Authorizations

Authorization
string
header
required

API key with uspl_ prefix. Create keys at dash.userplane.io/_/account?tab=developers

Path Parameters

workspaceId
string
required
Minimum string length: 1
Minimum string length: 1

Response

OK

message
string
required
data
object
required